Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::KEY2Parser Class Reference

`#include <KEY2Parser.h>`

Inheritance diagram for libetonyek::KEY2Parser:

## Public Member Functions
| KEY2Parser (const RVNGInputStreamPtr_t &input, const RVNGInputStreamPtr_t &package, KEYCollector &collector, KEY2Dictionary &dict)
| ~KEY2Parser () override
Public Member Functions inherited from libetonyek::IWORKParser
| IWORKParser (const RVNGInputStreamPtr_t &input, const RVNGInputStreamPtr_t &package)
virtual | ~IWORKParser ()=0
bool | parse ()
RVNGInputStreamPtr_t & | getInput ()
RVNGInputStreamPtr_t | getInput () const
RVNGInputStreamPtr_t & | getPackage ()
RVNGInputStreamPtr_t | getPackage () const

## Private Member Functions
IWORKXMLContextPtr_t | createDocumentContext () override
IWORKXMLContextPtr_t | createDiscardContext () override
const IWORKTokenizer & | getTokenizer () const override

## Private Attributes
KEY2ParserState | m_state

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKParser
void | setInput (const RVNGInputStreamPtr_t &input)

## Constructor & Destructor Documentation

## ◆ KEY2Parser()

libetonyek::KEY2Parser::KEY2Parser | ( | const RVNGInputStreamPtr_t & | input,
|  | const RVNGInputStreamPtr_t & | package,
|  | KEYCollector & | collector,
|  | KEY2Dictionary & | dict
| ) |  |

## ◆ ~KEY2Parser()

libetonyek::KEY2Parser::~KEY2Parser | ( |  | ) |
| override

## Member Function Documentation

## ◆ createDiscardContext()

IWORKXMLContextPtr_t libetonyek::KEY2Parser::createDiscardContext | ( |  | ) |
| override private virtual

Implements libetonyek::IWORKParser.

## ◆ createDocumentContext()

IWORKXMLContextPtr_t libetonyek::KEY2Parser::createDocumentContext | ( |  | ) |
| override private virtual

Implements libetonyek::IWORKParser.

## ◆ getTokenizer()

const IWORKTokenizer & libetonyek::KEY2Parser::getTokenizer | ( |  | ) | const
| override private virtual

Implements libetonyek::IWORKParser.

## Member Data Documentation

## ◆ m_state

KEY2ParserState libetonyek::KEY2Parser::m_state
| private

Referenced by createDiscardContext(), and createDocumentContext().

The documentation for this class was generated from the following files:

- KEY2Parser.h
- KEY2Parser.cpp